#!/bin/bash
#. ./env.sh
. /cont02/servers/ebest-web-11/bin/env.sh

DATE=`date +%Y%m%d_%H%M%S`

# ------------------------------------
PID=`ps -ef | grep java | grep "=$SERVER_NAME" | awk '{print $2}'`
echo $PID

if [ e$PID != "e" ]
then
echo "Tomcat ($SERVER_NAME) is already RUNNING..."
exit;
fi
# ------------------------------------
UNAME=`id -u -n`
if [ e$UNAME != "e$COMP_USER" ]
then
echo "$COMP_USER USER to start this SERVER! - $SERVER_NAME..."
exit;
fi
# ------------------------------------
#!/bin/bash

if [ ! -d $CATALINA_BASE/temp ]
then
echo "temp directory is not exist. create temp directory."
mkdir -p $CATALINA_BASE/temp
fi


if [ ! -d $CATALINA_BASE/logs ]
then
echo "logging directory is not exist. create logs directory."
mkdir -p $CATALINA_BASE/logs
fi

#export LOG_BASE=/box/java_logs

if [ ! -d $GC_LOG_DIR/log ]
then
echo "custom logging directory is not exist. create custom logs directory."
mkdir -p $GC_LOG_DIR/log
fi

if [ ! -d $GC_LOG_DIR/gclog ]
then
echo "custom gc logging directory is not exist. create custom gc logs directory." 
mkdir -p $GC_LOG_DIR/gclog
fi

# ------------------------------------
# ------------------------------------
#mv $CATALINA_BASE/logs/$SERVER_NAME.out $CATALINA_BASE/logs/$SERVER_NAME.$DATE
mv $CATALINA_BASE/logs/gc.log $GC_LOG_DIR/gclog/gc_$SERVER_NAME.log.$DATE

nohup $CATALINA_HOME/bin/catalina.sh run >> $CATALINA_BASE/logs/$SERVER_NAME.out 2>&1 &
#nohup $CATALINA_HOME/bin/catalina.sh run 2>&1 |/usr/local/sbin/cronolog "$CATALINA_BASE/logs/$SERVER_NAME.out.%Y-%m-%d" 86400 540 &
#nohup $CATALINA_HOME/bin/catalina.sh run 2>&1 | /usr/local/cronolog/sbin/cronolog -S $CATALINA_BASE/logs/$SERVER_NAME.out $LOG_BASE/log/$SERVER_NAME.out.%Y-%m-%d >> /dev/null &


# ------------------------------------
if [ e$1 = "enotail" ]
then
echo "Starting... $SERVER_NAME"
exit;
fi
# ------------------------------------
#$CATALINA_BASE/bin/tail.sh

